> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建邮箱别名

> 为客户邮箱创建别名。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.zh-cn.json POST /v1/public/accounts/{account_id}/mailboxes/{mailbox}/aliases
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/mailboxes/{mailbox}/aliases:
    post:
      tags:
        - public-accounts
        - public-mailboxes
      summary: 创建邮箱别名
      description: 为客户邮箱创建别名。
      operationId: >-
        create_public_mailbox_alias_v1_public_accounts__account_id__mailboxes__mailbox__aliases_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: mailbox
          required: true
          schema:
            title: Mailbox
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MailboxAliasCreateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailboxAliasDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
      security:
        - PublicBearerAuth: []
components:
  schemas:
    MailboxAliasCreateRequest:
      additionalProperties: false
      description: 创建邮箱别名的请求正文。
      properties:
        alias:
          title: 别名
          type: string
        is_catch_all:
          default: false
          title: 是否为 catch-all
          type: boolean
      required:
        - alias
      title: MailboxAliasCreateRequest
      type: object
    MailboxAliasDTO:
      properties:
        alias:
          description: 邮箱别名电子邮件地址
          title: 别名
          type: string
        is_catch_all:
          default: false
          description: 该别名是否捕获所有不匹配的本地部分
          title: 是否为 catch-all
          type: boolean
      required:
        - alias
      title: MailboxAliasDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 详情
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 位置
          type: array
        msg:
          title: 消息
          type: string
        type:
          title: 错误类型
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````